Results 1 to 7 of 7

Thread: opensusupdater-kde diverges from zypper (cli)

  1. #1
    mvyver NNTP User

    Default opensusupdater-kde diverges from zypper (cli)


    Hi,
    I'm using openSUSE 11.0 and have reached a point where the opensuse
    updater control panel applet 'update package listing' does not
    correspond with Yast or zypper (command line).

    Any tips on how to get the applet to refresh/sync it's package data?

    Previously it seemed you'd do something like:


    Code:
    --------------------
    cd /var/cache/zypp
    rm zypp.db
    zypper refresh
    --------------------


    However there is no such file in 11.0

    Appreciate any shared secrets

    Mark


    --
    mvyver
    ------------------------------------------------------------------------
    mvyver's Profile: http://forums.opensuse.org/member.php?userid=628
    View this thread: http://forums.opensuse.org/showthread.php?t=403633


  2. #2
    deano ferrari NNTP User

    Default Re: opensusupdater-kde diverges from zypper (cli)


    Without wanting to confuse the issue, AFAIK the applet is only good for
    upgrading packages from opensuse OSS and non-OSS repos. I've had to
    abandon using the opensuseupdater-kde applet altogether because it kept
    trying to downgrade kde4.1.x packages.

    If you're like most, and have other community repos (eg packman)
    enabled with priorities, you're better off sticking with zypper.


    --
    deano_ferrari
    ------------------------------------------------------------------------
    deano_ferrari's Profile: http://forums.opensuse.org/member.php?userid=122
    View this thread: http://forums.opensuse.org/showthread.php?t=403633


  3. #3
    mvyver NNTP User

    Default Re: opensusupdater-kde diverges from zypper (cli)


    Thanks for the tip. I do have other repo's active so I'll dump using
    the applet.

    Much appreciated.
    Mark


    --
    mvyver
    ------------------------------------------------------------------------
    mvyver's Profile: http://forums.opensuse.org/member.php?userid=628
    View this thread: http://forums.opensuse.org/showthread.php?t=403633


  4. #4
    Malcolm NNTP User

    Default Re: opensusupdater-kde diverges from zypper (cli)

    Quote Originally Posted by mvyver
    Thanks for the tip. I do have other repo's active so I'll dump using
    the applet.

    Much appreciated.
    Mark
    Hi
    I thought if you set the priorities of a repository to a lower number
    (eg higher priority) it will then override the under lying
    repositories?

    Just my 0.3c worth....

    And a Happy New Year

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.1 x86 Kernel 2.6.27.7-4-default
    up 1 day 7:47, 2 users, load average: 0.41, 0.51, 0.41
    GPU GeForce 6600 TE/6200 TE - Driver Version: 177.82


  5. #5
    caf4926 NNTP User

    Default Re: opensusupdater-kde diverges from zypper (cli)


    Yeah. First thing I do after install is dump that. Drives me nuts.


    --
    Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.86) "5.1" | M2N4-SLI
    | AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
    http://tinyurl.com/985fp2
    ------------------------------------------------------------------------
    caf4926's Profile: http://forums.opensuse.org/member.php?userid=204
    View this thread: http://forums.opensuse.org/showthread.php?t=403633


  6. #6
    mvyver NNTP User

    Default Re: opensusupdater-kde diverges from zypper (cli)


    malcolmlewis;1919472 Wrote:
    > Hi
    > I thought if you set the priorities of a repository to a lower number
    > (eg higher priority) it will then override the under lying
    > repositories?


    Hmm interesting point. I'll try that.
    Thanks
    Mark


    --
    mvyver
    ------------------------------------------------------------------------
    mvyver's Profile: http://forums.opensuse.org/member.php?userid=628
    View this thread: http://forums.opensuse.org/showthread.php?t=403633


  7. #7
    elserj NNTP User

    Default Re: opensusupdater-kde diverges from zypper (cli)


    In 11.1 the updater applet switched to PackageKit instead of zypper for
    the backend. If you want the applet to tell you about updates from
    Packman etc., you need to install the package kupdateapplet-zypp through
    Yast.

    After you install that, right click the updater in the system tray and
    choose quit. Restart the applet by issuing kupdateapplet from a konsole
    or alt-f2. Right click the applet and select configure applet. Change
    the backend to zypp plugin, and check the box that says "show available
    upgrades when plugin provides them"

    Hope that was what you wanted.


    --
    elserj
    ------------------------------------------------------------------------
    elserj's Profile: http://forums.opensuse.org/member.php?userid=2799
    View this thread: http://forums.opensuse.org/showthread.php?t=403633


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •